/* ----------- interupt.h ------------ */

/* ------- the interrupt function registers -------- */
typedef struct {
	int bp,di,si,ds,es,dx,cx,bx,ax,ip,cs,fl;
} IREGS;

#define VIDEO 0x10
#define DOS   0x21
#define KYBRD 9
#define KEYBOARD 0x16
#define TIMER 8

#define KBDATA    0x60
#define KBCONTROL 0x61
#define KBSTATUS  0x64

#define ZEROFLAG 0x40
